Delete a Suppression
Remove an email address from the suppression list.
Remove an email address from the suppression list. The address will be able to receive emails again.
You may pass either the numeric suppression ID or the email address itself in the identifier path parameter. When passing an email address, URL-encode it (e.g. user%40example.com). Email addresses are normalized and matched case-insensitively.
Scope: suppressions.delete
Path Parameters
identifierinteger | stringrequiredThe ID of the suppression to remove, or the suppressed email address (URL-encoded).
Example Request
By suppression ID
curl -X DELETE https://api.maileroo.com/v1/suppressions/123 \
-H "Authorization: Bearer roo_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"By email address
curl -X DELETE https://api.maileroo.com/v1/suppressions/user%40example.com \
-H "Authorization: Bearer roo_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"Errors
404— The suppression ID or email address isn't on your suppression list.422— The identifier is not a valid email address.400— The identifier is neither a valid suppression ID nor an email address.
Sample Response
200 OK
{ "data": null }